import { createContext, useContext } from 'react';
var context = createContext(null);
context.displayName = 'ZentPopoverContext';
export function usePopoverContext() {
    var ctx = useContext(context);
    if (!ctx) {
        throw new Error('Popover context not found');
    }
    return ctx;
}
export default context;
